require 'soar/registry/identity'

module Soar
  module Registry
    module Identity
      class Factory

        ##
        # @param [String,Array] value
        # @param [ObjectSelector] selector
        # @raise [ObjectSelector::Error::NoMatchError]
        # @return [Soar::Registry::Identity]
        ##
        def self.create(value: , selector: )
          identity_provider = selector.select(value)
          return Soar::Registry::Identity.new(identity_provider)
        end

      end
    end
  end
end
