module Soar
  module Registry
    module Identity
      module Test
        class Orchestrator

          def initialize(provider)
            @provider = provider
          end

          ####### givens ######
          
          def given_roles
            @provider.given_roles
          end

          def given_identity_directory
            @provider.given_identity_directory
          end

          def given_roles_directory
            @provider.given_roles_directory
          end

          def given_identity
            @provider.given_identity
          end

          def given_identity_registry
            @provider.given_identity_registry
          end

          def given_role_with_attributes
            @provider.given_role_with_attributes
          end

          ####### whens ######
          
          def get_roles
            @provider.get_roles
          end

          def get_role_attributes
            @provider.get_role_attributes
          end

          def get_identity_attributes
            @provider.get_identity_attributes
          end

          ####### thens ######
          #
          def role_with_empty_attributes?
            @provider.role_with_empty_attributes?
          end

          def identity_attributes?
            @provider.identity_attributes?
          end
          
          def role_with_attributes?
            @provider.role_with_attributes?
          end
          
          def roles?
            @provider.roles?
          end

          def no_roles?
            @provider.no_roles?
          end

          def identity_error?
            @provider.identity_error?
          end

          def nil?
            @provider.nil?
          end

        end

      end
    end
  end
end
